@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');

body {
	font-family: 'Roboto', sans-serif;
	text-align: center;
}

.widget-container {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	position: relative;
	width: 100%;
	height: 100%;
	min-height: 100vh;
	transition: background-image 0.5s;
	background-color: #000;
	
	&.neutral {
		background-image: radial-gradient(circle at -4.17% 4.55%, #f6ebff 0, #ccc4ff 25%, #9d9df2 50%, #6b78d6 75%, #2e58bc 100%);
		
		.forecast {
			.forecast__card {
				background-color: #6b78d6;
				
				&:hover {
					background-color: rgba(#2e58bc, 0.6);
				}
				
				&.card--selected {
					background-color: rgba(#2e58bc, 0.6);
				}
			}
		}
	
	}
	
	&.cold {
		background-image: radial-gradient(circle at 50% -20.71%, #ade5ff 0, #7dcefb 25%, #3cb5f2 50%, #009ce9 75%, #0085e0 100%);
		
		.forecast {
			.forecast__card {
				background-color: #009ce9;
				
				&:hover {
					background-color: rgba(#009ce9, 0.6);
				}
				
				&.card--selected {
					background-color: rgba(#0085e0, 0.6);
				}
			}
		}
	}
	
	&.hot {
		background-image: radial-gradient(circle at 50% -20.71%, #d7c35d 0, #deba54 8.33%, #e4b04d 16.67%, #e9a546 25%, #ed9841 33.33%, #f0893e 41.67%, #f2793c 50%, #f3673d 58.33%, #f35542 66.67%, #f34249 75%, #f22b52 83.33%, #f0065d 91.67%, #ec0069 100%);
		
		.forecast {
			.forecast__card {
			background-color: #ed9841;
				
				&:hover {
					background-color: rgba(#f2793c, 0.6);
				}
				
				&.card--selected {
					background-color: rgba(#f2793c, 0.6);
				}
			}
		}
	}
}


.header {
	position: absolute;
	top: 2%;
	left: 50%;
	transform: translateX(-50%);
	display: flex;
	align-items: center;
}
.current-date {
	display: flex;
	flex-direction: column;
	
	.day {
		display: inline-block;
		margin-bottom: 10px;
		margin-top: 15px;
		padding: 0;
		font-family: Roboto, sans-serif;
		font-weight: 400;
		font-size: 28px;
		color: #fff;
	}
	
	.data {
		padding: 0;
		margin: 0;
		font-family: Roboto, sans-serif;
		font-weight: 200;
		font-size: 14px;
		color: #fff;
		text-transform: uppercase;
	}
} 

.temperature-display {
	display: flex;
	flex-direction: column;
	align-items: center;
	position: relative;
	font-family: Roboto, sans-serif;
	font-weight: 200;
	font-size: 350px;
	line-height: 1;
	color: #fff;
	margin-bottom: 100px;
	
	&:after {
		position: absolute;
		top: 53px;
		right: -70px;
		content: "";
		display: inline-block;
		width: 37px;
		height: 41px;
		border: 5px solid #fff;
		border-radius: 50%;
	}
	
	.temperature-icon {
		position: absolute;
		display: inline-block;
		top: 53px;
		left: -70px;
		font-size: 48px;
		color: #fff;
		
		svg {
			width: 1em;
			height: 1em;
			fill: currentColor;
		}
	}
}

.widget-controllers {
	position: absolute;
	top: 2%;
	right: 2%;
	display: flex;
	flex-direction: column;
	align-items: flex-end;
}


.button-container {
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	align-items: center;
}

